% readrab1sg3m.m   10/12/3008
% read Rabigh SBE SeaGauge #1153 upload data from Oct 2008 recovery
% Deployment 1
% input *.tid raw proccessing files 
% output ssp synthetic subsurface pressure to rab1sg3m300s.mat
%
% Seagauge time is time at beginning of period
% So central time =time+2.5 min

clear;clf
mooring='Rabigh Aramco Terminal';depth=8; %m
instdepth=3;%m
latitude=22+44.076/60;longitude=38+59.654/60;
SN='SG1153';

% first remove / and : from the *.tid file with Perl fixseagauge.plx
	perl fixseagauge.plx C:\WHOI\redsea\data\pressure\oct08\uploads\sg1153_rab_oct08.tid
    
    load fixed.dat; z=fixed; clear fixed
    jday=julian([z(:,4) z(:,2) z(:,3) z(:,5) z(:,6) z(:,7)]);
    
%   center the data at the middle of the 5 min time for pressure, % ref Seagauge manual page 31
    prestotalpsi=z(:,8);temp=z(:,9); % pressure total in psi, temperature C
    prestotaldb=prestotalpsi*.6894757;% pressure total in db

% Check SBE 1159 instrument clock at recovery and fix here

% Check Temperature calib

% Remove data before and after the deployment
    st=julian([2008  4 20 11 25 00]);%Rabigh deploy1
    et=julian([2008 10 13  9 10 00]);%Rabigh deploy1
    n=find(jday<st | jday>et);jday(n)=[];
    prestotalpsi(n)=[];temp(n)=[];prestotaldb(n)=[];
    pres=prestotaldb;
    
% Center the time
    jday=jday+2.5/(24*60);
    
%  center the data at the middle of the 5 min time for pressure, % ref Seagauge manual page 31
    jdaysg=jday+2.5/(24*60);

% Plot pressure
    [ax,h1,h2]=plotyy(jdaysg,pres,jdaysg,temp);
    h=title('Rabigh Bottom Pressure');set(h,'fontsize',12)
    set(ax(1),'ylim',[12.1 13.1],'ytick',[12.2 12.4 12.6 12.8],'xtickl',[]);
    set(get(ax(1),'Ylabel'),'String','Pressure db');

    set(h2,'color','r');
    set(ax(2),'Ycolor','r','fontsize',14,'xtickl',[])
    set(ax(1),'ylim',[13.2 14.2],'ytick',[13.2 13.4 13.6 13.8 14.0],'xtickl',[]);
    grid
    gregaxd(jdaysg,30);figure(gcf);
    %wysiwyg
    jdaysg1=jdaysg;tempsg1=temp;pres1=pres;
    save rab1sg3m300s mooring jdaysg1  pres1 tempsg1  ...
		 depth instdepth latitude longitude SN 
    print -djpeg rab1sg3m300sec






